Bug 811118 - [ovirt-engine-core] Error message is wrong when sending the wrong storage id. [TEXT]
[ovirt-engine-core] Error message is wrong when sending the wrong storage id....
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low
: ---
: 3.3.4
Assigned To: lpeer
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 03:48 EDT by Kiril Nesenko
Modified: 2016-02-10 11:51 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 02:36:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (47.01 KB, application/x-bzip)
2012-04-10 03:48 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-04-10 03:48:39 EDT
Created attachment 576416 [details]
logs

Description of problem:
Trying to add a disk to VM from REST API and sending the wrong storage domain. Getting the following error message:

from rest logs:
2012-04-09 15:42:20,124 - MainThread - vms - DEBUG - Response code is valid: [200, 201]
2012-04-09 15:42:20,125 - MainThread - vms - DEBUG - CREATE request content is --  url:https://10.35.97.13:8443/api/vms/b6b75b8d-9bf7-48e7-959b-8c9a5412f288/disks body:<disk><storage_domains><storage_domain id='
2301584f-65f9-4103-8b6e-2983047e6720'/></storage_domains><size>2147483648</size><type>data</type><interface>ide</interface><format>cow</format><sparse>true</sparse></disk>
2012-04-09 15:42:20,374 - MainThread - vms - DEBUG - Response body for CREATE request is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<fault>
    <reason>Operation Failed</reason>
    <detail>[Cannot add Virtual Machine Disk. The target Data Center does not contain the Virtual Machine Disk.]</detail>
</fault>

2012-04-09 15:42:20,374 - MainThread - vms - ERROR - Response code is not valid, expected is:  [200, 201, 202], actual is: 400
2012-04-09 15:42:20,375 - MainThread - vms - DEBUG - GET request content is --  url:https://10.35.97.13:8443/api/vms/b6b75b8d-9bf7-48e7-959b-8c9a5412f288/disks
2012-04-09 15:42:20,493 - MainThread - vms - DEBUG - Response body for GET request is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<disks>



Version-Release number of selected component (if applicable):
si1

How reproducible:
Always

Steps to Reproduce:
1. Try to add a disk to vm and send a wrong storage domain
2.
3.
  
Actual results:


Expected results:
Error message should be clear to user 

Additional info:
Comment 3 Itamar Heim 2012-12-12 02:36:09 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.